Subject: Re: bug#78543: 29.2; checkdoc misses some CL (cl-lib) constructs.

From: Stefan Monnier <[email-masked]>
Date: Sat, 31 May 2025 12:29:34 -0400

>> FWIW, I consider this `(:this that)` of CL's keyword args to be
>> a misfeature, so I'm happy for Emacs to behave suboptimally here, tho
>> I'd prefer for cl-lib to stop supporting it.
> But do you have anything against the patch I proposed to install?

I don't like the extra code in your patch to handle this special case,
to be honest, but as long as we want to fully support this CL
functionality, your patch looks fine.

> I didn't suggest complicating checkdoc due to &aux arguments.
> So we basically agree here.

Indeed, we get to the same conclusion, tho via different paths.  🙂

        Stefan